<div class="container-fluid ticket-show">
  <div class="p-t-30">
    <h4>Ticket #<%= @ticket.id %></h4>

    <ol class="breadcrumb breadcrumb-title breadcrumb-arrow">
      <li class="breadcrumb-item">
        <i class="icofont icofont-home"></i>
      </li>
      <li class="breadcrumb-item">
        View Ticket
      </li>
    </ol>

    <hr />
    <div >
      Subject : <%= @ticket.subject %>
      <br />
      Created by : <%= @ticket.is_guest? ? @ticket.email : @ticket.user.email %>
    </div>
    <br />

    <div class="row">
      <div class="col-md-9 default-grid-item">
        <div class="card">
          <div class="card-block">
            <ul class="nav nav-tabs  tabs" role="tablist">
              <li class="nav-item">
                <a class="nav-link active" data-toggle="tab" href="#home1" role="tab">Ticket Details</a>
              </li>
              <li class="nav-item">
                <a class="nav-link" data-toggle="tab" href="#profile1" role="tab">Audit log</a>
              </li>
              <li class="nav-item">
                <a class="nav-link" data-toggle="tab" href="#messages1" role="tab">Feedback</a>
              </li>
            </ul>
            <br />
            <div class="tab-content tabs">
              <div class="tab-pane active" id="home1" role="tabpanel">
                <div class="row">
                  <div class="col-xl-4">
                    Created Date : <%= @ticket.created_at.strftime(DATE_FORMAT1) %>
                  </div>
                  <div class="col-xl-4">
                    Modified Date : <%= @ticket.updated_at.strftime(DATE_FORMAT1) %>
                  </div>
                  <div class="col-xl-4">
                    Status : <%= Ticket::STATUSES[@ticket.status] %>
                  </div>
                </div>
                <br />
                <div class="row">
                  <div class="col-xl-4">
                    Priority : <%= @ticket.priority %>
                  </div>
                  <div class="col-xl-4">
                    Assigned to : <%= @ticket.staff.try :name %>
                  </div>
                  <div class="col-xl-4">
                    <% if @ticket.attachment_file_name.present? %>
                      Attachment : <%= link_to @ticket.attachment_file_name, @ticket.attachment.url, target: "_blank" %>
                    <% end %>
                  </div>
                </div>
                <br />
                <div class="row">
                  <div class="col-xl-4">
                    Response Time : 
                  </div>
                  <div class="col-xl-4">
                    Resolution Time : 
                  </div>
                  <div class="col-xl-4">
                    <% if @ticket.expected_closing_date.present? %>
                      Expected Closure : <%= @ticket.expected_closing_date.strftime DATE_FORMAT1 %>
                    <% end %>
                  </div>
                  <br />
                  <br />
                </div>
                <% if @quote.present? %>
                <div class="row">
                  <div class="col-xl-8">
                    <table class='table'>
                      <tr>
                        <th>Product</th>
                        <th>Quantity</th>
                      </tr>
                      <% (@quote.product || []).each do |p| %>
                        <tr>
                          <td><%= p['type'] %></td>
                          <td><%= p['quantity'] %></td>
                        </tr>
                      <% end %>
                    </table>
                  </div>
                  <div class="col-xl-4">
                  </div>
                </div>
                <% end %>
                <div class="m-t-20">
                  <div class="card">
                    <div class="card-block">
                      <div class="row">
                        <div class="col-xl-1 photo-table">
                          <%= image_tag 'avatar-1.png',  class: 'img-circle' %>
                        </div>
                        <div class="col-xl-4">
                          <% if @ticket.is_guest? %>
                            Client: Guest
                            <br />
                            Created by: <%= @ticket.name %>
                          <% else %>
                            Client : <%= @ticket.user.client.name %>
                            <br />
                            Created by : <%= @ticket.user.name %>
                          <% end %>
                        </div>
                        <div class="col-xl-3">
                        </div>
                        <div class="col-xl-4">
                          Posted on: <%= @ticket.created_at.strftime(TIME_FORMAT1) %>
                        </div>
                      </div>
                      <br />
                      <%= @ticket.description.html_safe %>
                    </div>
                  </div>
                  <% @ticket.comments.each do |comment| %>
                    <div class="cd-timeline-content card_main" id="comment-<%= comment.id %>">
                      <div class="card-block">
                        <div class="row">
                          <div class="col-xl-1 photo-table">
                            <%= image_tag 'avatar-1.png',  class: 'img-circle' %>
                          </div>
                          <div class="col-xl-4">
                              <%= comment.creator.try :name %>
                          </div>
                          <div class="col-xl-3">
                          </div>
                          <div class="col-xl-4">
                            Posted on: <%= comment.created_at.strftime(TIME_FORMAT1) %>
                          </div>
                        </div>
                        <br />
                        <%= comment.description.html_safe %>
                      </div>
                    </div>
                  <% end %>
                  <%= render 'comments/new', comment: @ticket.comments.new(creator: current_staff) %>
                </div>
              </div>
              <div class="tab-pane" id="profile1" role="tabpanel">
                <%= render "ticket_logs/index", ticket_logs: @ticket.ticket_logs.order(created_at: :desc) %>
              </div>
              <div class="tab-pane" id="messages1" role="tabpanel">
                <%= form_for @ticket, url: feedback_submit_staff_ticket_path(@ticket), method: :put do |f| %>
                  <%= render 'tickets/feedback_form', f: f %>
                <% end %>
              </div>
            </div>
          </div>
        </div>
      </div>

      <div class="col-md-3 default-grid-item p-t-50">
        <div class="p-t-20">
          <div class="cd-timeline-content card_main">
            <div class="card-block">
              <%= form_for @ticket, url: staff_ticket_path(@ticket), method: :put do |f| %>
                <table class="table table-striped">
                  <tr>
                    <th>Customer</th>
                    <td>
                      <% if @ticket.is_guest? %>
                        <%= @ticket.name %> (Guest)
                      <% else %>
                        <%= @ticket.user.name %>
                      <% end %>
                    </td>
                  </tr>
                  <tr>
                    <th>Status</th>
                    <td><%= f.select :status, options_for_select(Ticket::STATUSES.collect{|k,v| [v, k]}, selected: f.object.status) %></td>
                  </tr>
                  <tr>
                    <th>Priority</th>
                    <td><%= f.select :priority, options_for_select(Ticket::PRIORITIES, selected: f.object.priority) %></td>
                  </tr>
                  <tr>
                    <th>Assigned to</th>
                    <td><%= f.select :staff_id, options_for_select([['None', nil]] + @staffs.collect{|a| [a.name, a.id]}, selected: f.object.staff_id) %></td>
                  </tr>
                  <tr>
                    <td colspan='2' class='text-center'><%= f.submit 'Update', class: 'btn btn-primary' %></td>
                  </tr>
                </table>
              <% end %>
            </div>
          </div>
        </div>
      </div>
    </div>
  </div>
</div>
